Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82204 - redhat-config-services doesn't work after update packages
Summary: redhat-config-services doesn't work after update packages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-services
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-19 20:28 UTC by scomodo
Modified: 2007-04-18 16:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-01 20:01:33 UTC


Attachments (Terms of Use)

Description scomodo 2003-01-19 20:28:15 UTC
Description of problem:
i can't lunch application


Version-Release number of selected component (if applicable):
redhat-config-services-0.8.2-1.noarch.rpm


How reproducible:
lunch  redhat-config-services

Steps to Reproduce:
1.
2.
3.
    
Actual results:
# redhat-config-services
/etc/init.d/servizi [Errno 2] No such file or directory: '/etc/init.d/servizi'



Expected results:


Additional info:
i have update all software included ximian evolution

Comment 1 Daniel Walsh 2003-01-20 02:30:15 UTC
What does /etc/init.d/servizi look like?

Dan 

Comment 2 Daniel Walsh 2003-01-20 11:22:58 UTC
Can you try the one in Rawhide?  This does not make much sense.

Dan

Comment 3 scomodo 2003-01-26 19:34:09 UTC
i lunched it from console..and it gave me that error..

I have reinstalled whole rh 8 because of this problem..

Comment 4 Daniel Walsh 2003-01-27 15:41:38 UTC
Does it work now?

Dan

Comment 5 scomodo 2003-01-27 21:15:14 UTC
yes it works now..

it was a probably misconfiguration of my system...

Comment 6 Need Real Name 2003-01-28 13:38:37 UTC
I have the same problem...

# redhat-config-services
/etc/init.d/Services [Errno 2] Aucun fichier ou répertoire de ce type:
'/etc/init.d/Services'


Comment 7 Daniel Walsh 2003-01-28 13:57:58 UTC
Could you append the output of the following line.

LANG=C /sbin/chkconfig --list

Comment 8 Daniel Walsh 2003-01-28 15:11:51 UTC
I have made a new version of redhat-config-services that will print this error
but will continue processing the rest of the files in /etc/inet.d directory. 
Basically redhat-config-services just executes the chkconfig --list command and
parses it's output.  So if this command has unexpected output
redhat-config-services could have a problem.

redhat-config-services-0.8.3-11

Dan

Comment 9 Need Real Name 2003-01-28 16:32:35 UTC
Here is the output ... hope that will help

LANG=C /sbin/chkconfig --list
ntpd            0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Arrêt 6:Arrêt
syslog          0:Arrêt 1:Arrêt 2:Marche        3:Marche        4:Marche
5:Marche        6:Arrêt
netfs           0:Arrêt 1:Arrêt 2:Arrêt 3:Marche        4:Marche       
5:Marche6:Arrêt
network         0:Arrêt 1:Arrêt 2:Marche        3:Marche        4:Marche
5:Marche        6:Arrêt
random          0:Arrêt 1:Arrêt 2:Marche        3:Marche        4:Marche
5:Marche        6:Arrêt
rawdevices      0:Arrêt 1:Arrêt 2:Arrêt 3:Marche        4:Marche       
5:Marche6:Arrêt
saslauthd       0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Arrêt 6:Arrêt
xinetd          0:Arrêt 1:Arrêt 2:Arrêt 3:Marche        4:Marche       
5:Marche6:Arrêt
portmap         0:Arrêt 1:Arrêt 2:Arrêt 3:Marche        4:Marche       
5:Marche6:Arrêt
apmd            0:Arrêt 1:Arrêt 2:Marche        3:Marche        4:Marche
5:Marche        6:Arrêt
atd             0:Arrêt 1:Arrêt 2:Arrêt 3:Marche        4:Marche       
5:Marche6:Arrêt
gpm             0:Arrêt 1:Arrêt 2:Marche        3:Marche        4:Marche
5:Marche        6:Arrêt
autofs          0:Arrêt 1:Arrêt 2:Arrêt 3:Marche        4:Marche       
5:Marche6:Arrêt
irda            0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Arrêt 6:Arrêt
isdn            0:Arrêt 1:Arrêt 2:Marche        3:Marche        4:Marche
5:Marche        6:Arrêt
keytable        0:Arrêt 1:Marche        2:Marche        3:Marche       
4:Marche5:Marche        6:Arrêt
kudzu           0:Arrêt 1:Arrêt 2:Arrêt 3:Marche        4:Marche       
5:Marche6:Arrêt
sshd            0:Arrêt 1:Arrêt 2:Marche        3:Marche        4:Marche
5:Marche        6:Arrêt
snmpd           0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Arrêt 6:Arrêt
snmptrapd       0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Arrêt 6:Arrêt
sendmail        0:Arrêt 1:Arrêt 2:Marche        3:Marche        4:Marche
5:Marche        6:Arrêt
iptables        0:Arrêt 1:Arrêt 2:Marche        3:Marche        4:Marche
5:Marche        6:Arrêt
nfs             0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Arrêt 6:Arrêt
nfslock         0:Arrêt 1:Arrêt 2:Arrêt 3:Marche        4:Marche       
5:Marche6:Arrêt
rhnsd           0:Arrêt 1:Arrêt 2:Arrêt 3:Marche        4:Marche       
5:Marche6:Arrêt
pcmcia          0:Arrêt 1:Arrêt 2:Marche        3:Marche        4:Marche
5:Marche        6:Arrêt
crond           0:Arrêt 1:Arrêt 2:Marche        3:Marche        4:Marche
5:Marche        6:Arrêt
anacron         0:Arrêt 1:Arrêt 2:Marche        3:Marche        4:Marche
5:Marche        6:Arrêt
xfs             0:Arrêt 1:Arrêt 2:Marche        3:Marche        4:Marche
5:Marche        6:Arrêt
lpd             0:Arrêt 1:Arrêt 2:Marche        3:Marche        4:Marche
5:Marche        6:Arrêt
pxe             0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Arrêt 6:Arrêt
yppasswdd       0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Arrêt 6:Arrêt
ypserv          0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Arrêt 6:Arrêt
ypxfrd          0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Arrêt 6:Arrêt
postgresql      0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Marche        6:Arrêt
httpd           0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Marche        6:Arrêt
aep1000         0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Arrêt 6:Arrêt
bcm5820         0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Arrêt 6:Arrêt
winbind         0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Arrêt 6:Arrêt
smb             0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Marche        6:Arrêt
squid           0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Arrêt 6:Arrêt
tux             0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Arrêt 6:Arrêt
mysqld          0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Marche        6:Arrêt
webmin          0:Arrêt 1:Arrêt 2:Marche        3:Marche        4:Arrêt
5:Marche6:Arrêt
named           0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Arrêt 6:Arrêt
wine            0:Arrêt 1:Arrêt 2:Marche        3:Marche        4:Marche
5:Marche        6:Arrêt
lircd           0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Arrêt 6:Arrêt
tomcat4         0:Arrêt 1:Arrêt 2:Arrêt 3:Arrêt 4:Arrêt 5:Marche        6:Arrêt
Services basés sur xinetd :
        chargen-udp:    Arrêt
        chargen:        Arrêt
        daytime-udp:    Arrêt
        daytime:        Arrêt
        echo-udp:       Arrêt
        echo:   Arrêt
        services:       Arrêt
        servers:        Arrêt
        time-udp:       Arrêt
        time:   Arrêt
        sgi_fam:        Marche
        rsync:  Arrêt
        vsftpd: Marche
        finger: Arrêt
        rexec:  Arrêt
        rlogin: Arrêt
        rsh:    Arrêt
        ntalk:  Arrêt
        talk:   Arrêt
        telnet: Arrêt
        cups-lpd:       Arrêt

Jérôme

Comment 10 Daniel Walsh 2003-01-28 18:29:20 UTC
That's weird I would have expected the LANG=C to cause this to translate back to
english.  Could you send me your printenv?

Anything else special about these machines?

Comment 11 Daniel Walsh 2003-01-28 18:41:23 UTC
I think I figured it out.  Basically if you set
LC_ALL=...
The LANG will not override it.  So inside of redhat-config-services I need to
execute

LANG=C LC_ALL=C chkconfig --list

A new version of redhat-config-services-0.8.3-12 has been created in rawhide to
fix this problem.

Dan

Comment 12 Need Real Name 2003-01-28 22:57:04 UTC
Here is my printenv...

Impossible for the moment to download your rpm on rawhide, I guess the server is
busy, I will try again later and tell you if it works

thanks
Jérôme

printenv
SSH_AGENT_PID=1021
HOSTNAME=portable.localdomain.net
LC_MONETARY=fr_FR
SHELL=/bin/bash
TERM=xterm
HISTSIZE=1000
GTK_RC_FILES=/etc/gtk/gtkrc:/home/jeje/.gtkrc-1.2-gnome2
WINDOWID=31475546
WMAKER_BIN_NAME=/usr/bin/wmaker
LC_NUMERIC=fr_FR
USER=jeje
LS_COLORS=no=00:fi=00:di=00;34:ln=00;36:pi=40;33:so=00;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:ex=00;32:*.cmd=00;32:*.exe=00;32:*.com=00;32:*.btm=00;32:*.bat=00;32:*.sh=00;32:*.csh=00;32:*.tar=00;31:*.tgz=00;31:*.arj=00;31:*.taz=00;31:*.lzh=00;31:*.zip=00;31:*.z=00;31:*.Z=00;31:*.gz=00;31:*.bz2=00;31:*.bz=00;31:*.tz=00;31:*.rpm=00;31:*.cpio=00;31:*.jpg=00;35:*.gif=00;35:*.bmp=00;35:*.xbm=00;35:*.xpm=00;35:*.png=00;35:*.tif=00;35:
SSH_AUTH_SOCK=/tmp/ssh-XXRSB9NQ/agent.983
SESSION_MANAGER=local/portable.localdomain.net:/tmp/.ICE-unix/983
MAIL=/var/spool/mail/jeje
PATH=/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/usr/java/j2sdk1.4.1_01/bin:/home/jeje/bin:/usr/java/j2sdk1.4.1_01/bin
LC_MESSAGES=fr_FR
WRASTER_COLOR_RESOLUTION0=4
LC_COLLATE=fr_FR
PWD=/home/jeje
XMODIFIERS=@im=none
LANG=fr_FR
GDMSESSION=Window Maker
SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
HOME=/home/jeje
SHLVL=2
LANGUAGE=fr_FR:fr
GNOME_DESKTOP_SESSION_ID=Default
LOGNAME=jeje
LC_CTYPE=fr_FR
LESSOPEN=|/usr/bin/lesspipe.sh %s
DISPLAY=:0.0
G_BROKEN_FILENAMES=1
COLORTERM=gnome-terminal
XAUTHORITY=/home/jeje/.Xauthority
_=/usr/bin/printenv


Note You need to log in before you can comment on or make changes to this bug.